function v=calculDD(K,tau)

%%% IBM for a population with positive density-dependent dipsersal %%%

close all

%%% random initialization
rng('shuffle')

%%% parameters
% domain size (number of demes)
n=1e3;
% average reproductive rate
r=exp(1);
% number of generations
g=300;

%%% initial data
V=zeros(1,n);
V(1)=K;

%%% main loop

for i=1:g
    V=repro(V,r,K); 		% Reproduction
    V=disper_dep(V,K,tau); 	% Positive density-dependent dipsersal
    V=compet(V,K);		% Competition
    
end

v=sum(V>K/10)/(g);		% Speed



