function v=calculM0(K)

%%% IBM under the null assumption %%%


%%% random initialization
rng('shuffle')

		%%% parameters
% domain size (number of demes)
n=1e3;
% average reproductive rate
r=exp(1);
% number of generations
g=300;

		%%% initial data
V=zeros(1,n);
V(1)=K;

		%%% main loop

for i=1:g
    V=repro(V,r,K);	% Reproduction
    V=disper(V,K);  % Dispersal
    V=compet(V,K);	% Competition

end

v=sum(V>K/10)/(g);	% Speed



