function Vc=compet(V,K)

% competition function 

A=V(V>K); 		% vector containing patches with a population greater than K
M=binornd(A,1-(K./A)); 	% vector containing the number of deaths
V(V>K)=A-M;		% removal of the dead individuals
V=max(V,0);		% V must be nonnegative

Vc=V;			% vector containing new population size
V(1)=K;			% left edge condition fixed