function Vd=disper(V,K)

% dispersal function

% j0=p0: the probability to stay in the same patch
j0=0.5;

% calculation of probabilities to go left and right
j1=(1-j0)/2;

% matrix describing probabilities to move, at each position 
J=[j1 j0 j1];
J1=repmat(J,length(V),1);
S=mnrnd(V',J1);
Vd=S(:,2)'+[S(2:end,1)' 0]+[0 S(1:end-1,3)'];	% vector containing new population size
Vd(1)=K;					% left edge condition fixed