%%% this program computes the mean speed in terms of K %%%
%%% for the IBM - Allee effect                         %%%  

clear all

% number of replicates
nrep=200;
% Allee threshold
rho=20;



%% main loop
i=0;
for K=[1,10,20:10:150,160:10:200,250:50:500]	% Different values of carrying capacities
    i=i+1;
    for k=1:nrep
        v(k,i)=calculA(K,rho); % computation of the speed
    end
    KK(i)=K;
end

%% the values of K and of the speed v are saved in the following file
nom=['vitesse_MA_rho=' num2str(rho),'K'num2str(K)'.mat'];
save(nom,'v','KK')

