%%% this program computes the mean speed in terms of K %%%
%%% for the IBM - null model                           %%%  

clear all

% number of replicates for each value of K
nrep=200;


%% main loop
i=0;
for K=[1,10,20:10:150,160:10:200,250:50:500]	% Different values of carrying capacities
    i=i+1;
    for k=1:nrep
        v(k,i)=calculM0(K); % computation of the speed
    end
    KK(i)=K;
end


%% the values of K and of the speed v are saved in the following file
nom=['vitesse_M0_K'num2str(K)'.mat'];
save(nom,'v','KK')

